Get EBITDA Estimates
curl --request GET \
--url https://api.aries.com/v1/stock/ebitda-estimate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/stock/ebitda-estimate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/ebitda-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ebitdaEstimates": {
"data": [
{
"ebitdaAvg": 41837998080,
"ebitdaHigh": 43157000192,
"ebitdaLow": 39904002048,
"numberAnalysts": 25,
"period": "2027-09-30",
"quarter": 4,
"year": 2027
},
{
"ebitdaAvg": 31958001664,
"ebitdaHigh": 33003999232,
"ebitdaLow": 30474000384,
"numberAnalysts": 25,
"period": "2027-06-30",
"quarter": 3,
"year": 2027
},
{
"ebitdaAvg": 29007001600,
"ebitdaHigh": 30011000832,
"ebitdaLow": 27699001344,
"numberAnalysts": 25,
"period": "2027-03-31",
"quarter": 2,
"year": 2027
}
],
"freq": "quarterly",
"symbol": "AAPL"
}
}Stock Estimates
EBITDA Estimates
Retrieve analyst EBITDA (Earnings Before Interest, Taxes, Depreciation, and Amortization) estimates for profitability forecasting. Analyze operational earnings expectations.
Use Case: Calculate forward EV/EBITDA multiple using next year’s EBITDA consensus estimate.
GET
/
v1
/
stock
/
ebitda-estimate
Get EBITDA Estimates
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
FlowAuthorization Code
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
FlowClient Credentials
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Scopes1
market:supplemental
News, company profiles, financials, filings, ETF data, technical analysis
Query Parameters
Stock ticker to query. Send the plain uppercase symbol exactly as you'd type it on a brokerage screen, e.g. AAPL, MSFT, TSLA.
Example:
"AAPL"
(Optional) Frequency: annual, quarterly How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
Available options:
annual, quarterly Example:
"quarterly"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?